#ifndef _AD_BUTTON1_H
#define _AD_BUTTON1_H
#include <stdint.h>
#include "mcu.h"

extern unsigned char ad_button_state;
extern volatile int32_t adcRawValue[4];

 


void adc_init(void);
void ad_key_scan(void);
void AD_switch_detect(int32_t adcRawValue,int32_t AD_mid1,uint8_t index,uint16_t *switch_count);

#endif